import { z } from "zod"

import { tempImageVaultAssetSchema } from "../imageVault"
import { systemSchema } from "../system"

import { ContentEnum } from "@/types/enums/content"

export const imageContainerSchema = z.object({
  __typename: z.literal(ContentEnum.blocks.ImageContainer),
  // JSON - ImageVault Image
  image_left: tempImageVaultAssetSchema,
  // JSON - ImageVault Image
  image_right: tempImageVaultAssetSchema,
  system: systemSchema,
  title: z.string().optional(),
})

export const imageContainerRefsSchema = z.object({
  __typename: z.literal(ContentEnum.blocks.ImageContainer),
  system: systemSchema,
})
